Bug 502199 - Duplicate versions in SEP+ validation needed to prevent in future
Duplicate versions in SEP+ validation needed to prevent in future
Status: CLOSED CURRENTRELEASE
Product: JBoss Customer Support Portal
Classification: Retired
Component: SEP (Show other bugs)
MR12
All All
medium Severity medium
: ---
: ---
Assigned To: JBoss CSP Bug Watch List
:
Depends On:
Blocks: 507385 513061
  Show dependency treegraph
 
Reported: 2009-05-22 10:37 EDT by Tom Mirc
Modified: 2009-07-27 08:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 513061 (view as bug list)
Environment:
Last Closed: 2009-07-27 08:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Mirc 2009-05-22 10:37:26 EDT
Description of problem:

Software ID 331 and Software ID 334 and 332 and 337 are duplicate entries in SEP, and need to be consolidated into one row for each pair, in the software table.  The presence of duplicate entries introduce the possibility of errors in patches that are applied via the JBoss Operations Network.

The combination of a software ID with a version creates the potential to create a unique identifier similar to a primary key. 

Version-Release number of selected component (if applicable):


How reproducible:

> I found another similar case.
>
> https://support.redhat.com/support-portal/restricted/software/softwareDetails.html?id=332
>
> https://support.redhat.com/support-portal/restricted/software/softwareDetails.html?id=337
>
>
>> I came across the the category for the EAP version 4.2.0.GA_CP06
>> https://support.redhat.com/support-portal/restricted/software/softwareDetails.html?id=331
>>
>> https://support.redhat.com/support-portal/restricted/software/softwareDetails.html?id=334

These are duplicates.


Steps to Reproduce:
1. Access all links above
2. Notice that 332 is the same software and patch as 337 and the same goes for 331 and 334.

  
Actual results:


Expected results:


Additional info:
Comment 1 Tom Mirc 2009-05-27 12:18:19 EDT
I need AM team to:

1) Consolidate the 4 above referenced Software listings to 2.  (Delete 331 and 332, leaving only 334 and 337).

2) Determine a technical solution that prevents creation of duplicate downloads.  In this case, the base download for EAP 4.2.0 CP_06 is duplicated, and both downloads are mapped to JBoss ON version 4.0.  They were likely create by two different members of Support Engineering.  The fields Product Category and Version could be combined and transformed into a validation rule so that duplicate software downloads are not allowed in SEP.  

Id:	334
Software Id:	SOFT-10334
Name:	Application Platform
Version:	4.2.0.GA_CP06
Product Category:	appplatform
Module:	
Created:	Fri Feb 27 2009 18:35:47 GMT-0500 (EST)
Last Modified:	Fri Feb 27 2009 18:36:18 GMT-0500 (EST)
JBoss ON
JON Resource Type:	JBoss 4.0
JON Resource Version:	4.2.0.GA_CP06_EA
Comment 2 Grant Shipley 2009-05-28 11:34:46 EDT
Moving to XPlanner backlog.
Comment 3 Ricky Broadnax 2009-07-10 14:32:16 EDT
verified in development/am-qa. Ready for testing in stage.

Developer will add comments to explain how the solution being implemented will be rolled-out to prevent future duplicates and the cleanup of duplicate records.
Comment 4 Nicole Yancey 2009-07-21 13:31:18 EDT
Use Issue Tracker login to access https://support.stage.redhat.com/support-portal/login.html
Comment 5 David Spalding 2009-07-21 15:25:17 EDT
Found 334 and 337 deleted in Stage, only 331 and 332 remaining. 

https://support.stage.redhat.com/support-portal/restricted/software/softwareDetails.html?id=331

https://support.stage.redhat.com/support-portal/restricted/software/softwareDetails.html?id=332

from comment #1 above, 1) has been accomplished. Will clone this bug 
for the 2) item, preventing further duplications.
Comment 6 vikas kumar 2009-07-21 23:29:38 EDT
Here is the List of the duplicate items in prod enviornment :- 
These are the software Id's in software table.
1)1 - 30 - 41  
2)26 -42 - 34 - 46 - 155   
3)44- 130
4)55 - 343 
5)68 - 76 
6)88 - 200
7)107 - 126  - 203   
8)106 - 159 
9)215 - 217 
10)219 - 313
11)263 - 281
12)283 - 287 
13)307 - 309 
14)310 - 311
15)331-  334
16)332 - 337 
17)357 - 358 - 359

and these are software Ids I have deleted :- 
30, 41 , 42 , 34 , 46 , 155 , 44,343, 76,88,107, 203 , 159 , 217 ,219 , 263, 287 , 307 , 310 , 337, 334 , 358 , 359 

And software_name column from software table is associated with software column of repository table . So whenever any software item  is deleted , the corresponding association in repository table has to be pointed to the other software item which we have kept intact after deleting the duplicate one .
Comment 7 Nicole Yancey 2009-07-27 08:42:15 EDT
Released to Production 7/25

Note You need to log in before you can comment on or make changes to this bug.